Zeitgeist.Log.get_events – zeitgeist-2.0 Reference Manual

# get_events

## Description:

public async ResultSet get_events (Array<uint32> event_ids, Cancellable? cancellable = null) throws Error

Look up a collection of Event in the Log given a collection of event ids. This is useful for looking up the event data for events found with the find_event_ids_* family of functions.

Each Event which is not found in the Log is represented by NULL in the resulting collection. The query will be done via an asynchronous DBus call and this method will return immediately. The returned events will be passed to callback as a list of Events, which must be the only argument of the function.

In order to use this method there needs to be a mainloop runnning.

## Parameters:

event_ids | a GLib.Array of Event ids
cancellable | a GLib.Cancellable to cancel the operation or %NULL